Data Hub
Watchers

List watcher heartbeats

Requires scope `watchers:read`.

GET
/watchers/{watcherId}/heartbeats

Requires scope watchers:read.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

watcherId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/watchers/497f6eca-6276-4993-bfeb-53cbbbba6f08/heartbeats"
{  "data": [    {      "id": 0,      "timestamp": "2019-08-24T14:15:22Z",      "status": "string",      "upload_mode": "auto",      "files_uploaded_since_last": 0,      "runs_reported_since_last": 0,      "errors_since_last": 0,      "uptime_seconds": 0,      "created_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}